Qt 5.9 | Qt 3D | C++ Classes | QDithering

Qt 5.9.9 Reference Documentation

# QDithering Class

(Qt3DRender::QDithering)

Enable dithering More...

Header: | #include <QDithering>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | Dithering
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Functions

| QDithering(Qt3DCore::QNode *parent = nullptr)

- 11 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 properties inherited from Qt3DCore::QNode
- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Enable dithering

A Qt3DRender::QDithering class enables dithering. Dithering adds noise to the color values to randomize quantization error in order to prevent large scale patterns in the final image, such as banding. Dithering is most useful when rendering to a surface with low color bit depth, such as RGB565 or RGBA4444.

## Member Function Documentation

### QDithering::QDithering(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QDithering.